"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.Utterances = void 0;

var _react = _interopRequireWildcard(require("react"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; if (obj != null) { var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var Utterances = function Utterances(_ref) {
  var repo = _ref.repo;

  var rootElm = _react["default"].createRef();

  (0, _react.useEffect)(function () {
    var utterances = document.createElement("script");
    var config = {
      src: "https://utteranc.es/client.js",
      repo: repo,
      "issue-term": "pathname",
      label: "🏷",
      theme: "github-light",
      crossorigin: "anonymous",
      async: true
    };
    Object.keys(config).forEach(function (key) {
      utterances.setAttribute(key, config[key]);
    });
    rootElm.current.appendChild(utterances);
  }, []);
  return _react["default"].createElement("div", {
    id: "utterances_container",
    ref: rootElm,
    css: {
      "& .utterances": {
        maxWidth: "950px"
      }
    }
  });
};

exports.Utterances = Utterances;
var _default = Utterances;
exports["default"] = _default;